This is a module that allows external programs to handle:
 - transactional configuration changes
 - status container read requests

Usage:
 export COMMIT_PROG=./my_commit_prog.py
 export GET_PROG=./my_get_prog
 export GET_CB_SCHEMA_MAP=my_get_cb_schema_map.txt
 netconfd --module=external-handler --no-startup --superuser=${USER}

Instead of a custom callback a general interface based on external command invocation is implemented.

Configuration transactions:

 commit-prog --before=<transaction_id_before>.xml --before=<transaction_id_after>.xml

Operational data read transaction:

 get-prog --instance-identifier=/interface-state/interface[name='ge0']

The registration schema points for the program-stat are specified in a text file.
Each line is an unique absolute-schema-nodeid.

get-cb-schema-map.txt:

 ...
 /interfaces-state/interface/oper-status
 ...

The two programs and the text file are specified as environment variables.
